@import url('general.css');

.payment-contact-information,
.checkout-products {
    background-color: #F4F4F4;
    border-radius: 14px;
    padding: 20px;
}

.checkout-login-btn {
    width: 100%;
    height: 54px;
    border-radius: 10px;
    background-color: var(--color-bg);
    font-size: 16px;
    font-weight: 400;
    color: var(--color-primary);
    text-decoration: none;
    font-family: Lato, sans-serif;
}

.payment-contact-information-box {
    background-color: var(--color-bg);
    border-radius: 14px;
    padding: 20px;
}

.payment-contact-information-box h3 {
    font-size: 18px;
    font-weight: 600;
    color: var(--color-primary);
    font-family: Lato, sans-serif;
}

.checkout-mail {
    height: 50px;
    border: 1px solid #E6E6E6;
    border-radius: 10px;
    background-color: #F5F5F5;
    padding: 0px 10px;
    font-size: 16px;
    font-weight: 400;
    color: #7F7F7F;
}

.default-ship-address {
    border-radius: 14px;
    padding: 20px;
    border: 1px solid #E6E6E6;
}

.default-ship-address h5 {
    font-size: 14px;
    font-weight: 400;
    font-family: Lato, sans-serif;
    color: #4C4C4C;
}

.default-ship-address p,
.checkout-ship-address {
    gap: 30px;
    font-weight: 500 !important;
    color: #000 !important;
    font-size: 16px;
}

.checkout-ship-address {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    overflow: hidden;
    text-overflow: ellipsis;
}

.default-ship-address p span {
    font-size: 16px;
    font-weight: 400;
    color: #333333;
}

.ship-type-address label {
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 14px;
    font-weight: 400;
    color: #000;
}

.ship-type-address label input {
    width: 20px;
    height: 20px;
}

.checkout-form-fields label {
    font-size: 14px;
    font-weight: 400;
    color: #4C4C4C;
    font-family: Lato, sans-serif;
}

.checkout-form-fields input {
    width: 100%;
    height: 44px;
    border-radius: 10px;
    border: 1px solid #E6E6E6;
    padding: 0px 15px;
    font-size: 14px;
    font-weight: 400;
    color: #000;
}

.checkout-form-fields input::placeholder {
    color: #7F7F7F;
}

.checkout-form-fields input:focus-visible {
    outline: none;
}

.checkout-form-fields select {
    width: 100%;
    height: 44px;
    border-radius: 10px;
    border: 1px solid #E6E6E6;
    padding: 0px 15px;
    font-size: 14px;
    font-weight: 400;
    color: #000;
}

.save-address {
    width: 20px !important;
    height: 20px !important;
}

.payment-options {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    gap: 12px;
}

.payment-option-card {
    width: 48%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 15px;
    border: 1px solid #E6E6E6;
    border-radius: 10px;
    background-color: #fff;
    cursor: pointer;
    transition: all 0.3s ease;
}

.payment-option-card:hover {
    border-color: #FF2424;
}

.payment-option-card:has(input:checked) {
    border-color: #FF2424;
    background: radial-gradient(90.35% 90.35% at 23.94% 5.43%, rgba(232, 78, 27, 0.1) 0%, rgba(255, 36, 36, 0.1) 47.6%, rgba(232, 78, 27, 0.1) 100%)
        /* warning: gradient uses a rotation that is not supported by CSS and may not behave as expected */
    ;

}

.payment-option-content {
    display: flex;
    align-items: center;
    gap: 12px;
}

.payment-option-content img {
    object-fit: contain;
}

.payment-option-content span {
    font-size: 16px;
    font-weight: 400;
    color: #333333;
    font-family: Lato, sans-serif;
}

.payment-option-card:has(input:checked) .payment-option-content span {
    color: #FF2424;

}

.payment-option-card input[type="radio"] {
    width: 20px;
    height: 20px;
    cursor: pointer;
    accent-color: #FF2424;
}


.checkout-products h3 {
    font-size: 18px;
    font-weight: 600;
    color: #000;
    font-family: Lato, sans-serif;
    text-transform: uppercase;
    margin-bottom: 20px;
}

.checkout-items-list {
    display: flex;
    flex-direction: column;
    gap: 12px;
    max-height: 500px;
    overflow-y: auto;
    padding-right: 5px;
}

.checkout-items-list::-webkit-scrollbar {
    width: 6px;
}

.checkout-items-list::-webkit-scrollbar-track {
    background: #F4F4F4;
    border-radius: 10px;
}

.checkout-items-list::-webkit-scrollbar-thumb {
    background: #D4D4D4;
    border-radius: 10px;
}

.checkout-items-list::-webkit-scrollbar-thumb:hover {
    background: #B4B4B4;
}

.checkout-item {
    background: #FFFFFF;
    border-radius: 16px;
    padding: 14px 10px;
    box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.04);
}

.checkout-thumb {
    width: 90px;
    height: 90px;
    border-radius: 12px;
    background: #F4F4F4;
    padding: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.checkout-thumb img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 8px;
}

.checkout-name {
    font-family: "Lato", sans-serif;
    font-size: 16px;
    font-weight: 600;
    color: #333333;
}

.checkout-attrs {
    font-size: 14px;
    color: #4C4C4C;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 4px;
}

.checkout-dot {
    width: 12px;
    height: 12px;
    border-radius: 50%;
    background-color: #929197;
    display: inline-block;
}

.checkout-prices {
    font-size: 13px;
    color: #333333;
}

.checkout-quantity {
    width: 64px;
}

.checkout-quantity input {
    background: radial-gradient(90.35% 90.35% at 23.94% 5.43%, rgba(232, 78, 27, 0.1) 0%, rgba(255, 36, 36, 0.1) 47.6%, rgba(232, 78, 27, 0.1) 100%);
    width: 100%;
    height: 24px;
    border-radius: 50px;
    border: 1px solid #E84E1B;
    font-size: 14px;
    color: #333333;
    padding-left: 26px;
}

.checkout-quantity button {
    padding: 0px;
    background-color: transparent;
    border: none;
    position: absolute;
    top: -1px;
    cursor: pointer;
}

.checkout-minus {
    left: 3px;
}

.checkout-plus {
    right: 3px;
}

.checkout-price-unit,
.checkout-price-total {
    font-weight: 700;
    font-size: 18px;
}

.checkout-btns {
    height: -webkit-fill-available;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-end;
}

.checkout-btn {
    padding: 0;
    border: none;
    background-color: transparent;
    cursor: pointer;
}

.checkout-btn-more {
    width: 72px;
    height: 28px;
    border-radius: 50px;
    background: radial-gradient(90.35% 90.35% at 23.94% 5.43%, rgba(232, 78, 27, 0.1) 0%, rgba(255, 36, 36, 0.1) 47.6%, rgba(232, 78, 27, 0.1) 100%);
    font-size: 14px;
    color: #FF2424;
    border: none;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 4px;
}

.checkout-more-icon {
    transition: transform 0.3s ease;
}

.checkout-extra {
    margin-top: 15px !important;
    padding-top: 15px;
    border-top: 1px solid #E6E6E6;
    display: none;
}

.checkout-extra.is-open {
    display: block;
}

.checkout-extra p {
    font-size: 14px;
    color: #7F7F7F;
}

.checkout-summary {
    background: #fff;
    padding: 20px;
    border-radius: 14px;
}

.checkout-totals {
    margin-bottom: 20px;
}

.checkout-totals p {
    font-size: 16px;
    color: #4C4C4C;
    margin-bottom: 8px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.checkout-totals p:first-child span:last-child {
    color: #000 !important;
}

.checkout-totals p:nth-child(3) span:last-child {
    color: #4C4C4C !important;
}

.checkout-totals p span b {
    color: #FF2424;
}

.checkout-coupon-discount {
    color: #FF2424;
    font-weight: 500;
}

.checkout-total {
    margin-top: 16px;
    padding-top: 16px;
    border-top: 1px dashed #E6E6E6;
    font-size: 16px;
    font-weight: 600;
    color: #4C4C4C;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.checkout-total span:last-child {
    font-weight: 500;
    font-size: 20px;
    color: #FF2424;
}

.checkout-continue-btn {
    width: 100%;
    height: 54px;
    border-radius: 50px;
    background: radial-gradient(90.35% 90.35% at 23.94% 5.43%, var(--color-primary) 0%, #FF2424 47.6%, var(--color-primary) 100%);
    color: #FFFFFF;
    font-size: 16px;
    font-family: "Lato", sans-serif;
    font-weight: 500;
    border: none;
    cursor: pointer;
    margin-top: 20px;
}

.checkout-mobile-more-btn, .checkout-mobile-delete{
    display: none;
}

@media (max-width: 480px) {
    .payment-option-card {
        width: 100%;
        padding: 7px 10px;
    }

    .checkout-mail {
        margin-top: 10px;
    }

    .checkout-attrs {
        font-size: 12px;
    }

    .checkout-price-unit,
    .checkout-price-total {
        font-size: 14px;
    }

    .product-price-unit {
        gap: 3px !important;
    }

    .checkout-main-row {
        padding: 0px 20px;
    }

    .checkout-name {
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 1;
        overflow: hidden;
        text-overflow: ellipsis;
        width: 88%;
    }

    .checkout-btns{
        display: none;
    }

    .checkout-mobile-more-btn{
        width: 100%;
        display: flex;
        justify-content: end;
    }

    .checkout-mobile-delete{
        position: absolute;
        right: 0px;
        display: block;
        top: 0px;
    }
}